Subject: Re: linux-next: build failure after merge of the sound-asoc tree

From: Ricard Wanderlof <[email-masked]>
Date: Fri, 28 Aug 2015 09:40:41 +0200

On Fri, 28 Aug 2015, Stephen Rothwell wrote:

> After merging the sound-asoc tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> In file included from sound/soc/codecs/ics43432.c:12:0:
> sound/soc/codecs/ics43432.c:60:25: error: 'ics43432_dt_ids' undeclared here (not in a function)
>  MODULE_DEVICE_TABLE(of, ics43432_dt_ids);
>                          ^
> include/linux/module.h:223:21: note: in definition of macro 'MODULE_DEVICE_TABLE'
>  extern const typeof(name) __mod_##type##__##name##_device_table  \
>                      ^
> include/linux/module.h:223:27: error: '__mod_of__ics43432_dt_ids_device_table' aliased to undefined symbol 'ics43432_dt_ids'
>  extern const typeof(name) __mod_##type##__##name##_device_table  \
>                            ^ 
> sound/soc/codecs/ics43432.c:60:1: note: in expansion of macro 'MODULE_DEVICE_TABLE'
>  MODULE_DEVICE_TABLE(of, ics43432_dt_ids);
>  ^
> 
> Caused by commit
> 
>   3b7ce99748f0 ("ASoC: ics43432: Add codec driver for InvenSense ICS-43432")
> 
> Not really build tested with CONFIG_OF set, right? :-(

Well, actually, yes.

In fact the exact same construct is used by a handful of other codec 
drivers which apparently don't fail.

I'm suspecting something slightly more convoluted like a missing #include .

> I have reverted that commit for today.

Ok. I'll get to work on this ASAP.

/Ricard
-- 
Ricard Wolf Wanderlöf                           ricardw(at)axis.com
Axis Communications AB, Lund, Sweden            www.axis.com
Phone +46 46 272 2016                           Fax +46 46 13 61 30